/*   
Theme Name: Jtheme Jello Child
Theme URI: https://elementor.com
Description: Simple and lightweight Jezweb theme
Author: Jezweb
Author URI: https://www.jezweb.com.au/
Template: elementor-hello-theme-master
Text Domain: elementor-hello-theme-child
Version: 1.0
*/

button {
	cursor: pointer !important;
}
ul.elementor-nav-menu--dropdown a, ul.elementor-nav-menu--dropdown a:focus, ul.elementor-nav-menu--dropdown a:hover {
    border-left: 0px !important;
}
ul.elementor-nav-menu--dropdown {
    max-width: 223px !important;
    width: 223px !important;
    padding-top: 10px !important;
    padding-bottom: 14px !important;
}
ul.elementor-nav-menu--dropdown li a:hover {
	text-decoration: underline !important;
}
.elementor-nav-menu a {
    white-space: normal !important;
    word-wrap: break-word !important;
}
.elementor-nav-menu li.lubrication-nav a {

}
.elementor-nav-menu--main ul li a {
    border-bottom: solid 3px transparent !important;
    padding-bottom: 6px !important;
}
.elementor-nav-menu--main ul li.menu-item-has-children a {
	
}
.elementor-nav-menu--main .elementor-nav-menu li.yellow-nav:hover a {
	border-bottom: solid 3px #FFEC00 !important;
}
.elementor-nav-menu--main .elementor-nav-menu li.white-nav:hover a {
	border-bottom: solid 3px #FFFFFF !important;
}
.hover-underline ul.elementor-icon-list-items li a:hover span.elementor-icon-list-text {
	text-decoration: underline !important;	
}
.elementor-share-buttons--skin-framed .elementor-share-btn {
	border-color: #e1e1e1 !important;	
}
.single .wp-block-separator {
    border-top: 1px solid #f6f6f6 !important;
    margin: 60px 0px !important;
}
.wp-block-table table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
}
.wp-block-table table tr th {
  background-color: #c1121f;
  color: white;
  text-align: center;
  padding: 15px;
  font-weight: bold;
  text-transform: uppercase;
}
.wp-block-table table tr td {
  padding: 15px;
  text-align: center;
  border-bottom: 1px solid #e0e0e0;
}
.wp-block-table table tr:nth-child(even) td {
    background-color: #f5f5f5;
    border-top: solid 1px #cdcdcd !important;
    border-bottom: solid 1px #cdcdcd !important;
}
.wp-block-table table tr:hover td {
  background-color: #f0f0f0;
}
.wp-block-table .has-fixed-layout td, .wp-block-table .has-fixed-layout th {
    border: none !important;
    padding: 20px !important;
    text-align: left;
}
.wp-block-table .has-fixed-layout th {
	padding: 12px 20px !important;
}
.wp-block-table thead {
    border-bottom: none !important;
}
.single .wp-block-quote {
    margin: 120px 0px !important;
    border-left: solid 3px #c1121f;
    padding: 0px 34px;
}
.single .wp-block-image :where(figcaption) {
    border-bottom: solid 1px #f6f6f6;
    padding-bottom: 15px !important;
    padding-top: 10px !important;
    margin-bottom: 60px !important;
}
.single .elementor-widget-theme-post-content h1, 
.single .elementor-widget-theme-post-content h2, 
.single .elementor-widget-theme-post-content h3, 
.single .elementor-widget-theme-post-content h4, 
.single .elementor-widget-theme-post-content h5, 
.single .elementor-widget-theme-post-content h6 {
    margin: 45px 0 36px 0;
}
.single .elementor-widget-theme-post-content ul,
.single .elementor-widget-theme-post-content ol {
    padding-left: 0px !important;
    list-style-type: none !important;
    font-size: 26px !important;
    margin: 60px 0px !important;
}
.single .elementor-widget-theme-post-content ul li,
.single .elementor-widget-theme-post-content ol li {
    margin-bottom: 24px !important;
	padding-left: 50px !important;
}
.single .elementor-widget-theme-post-content ul li::before,
.single .elementor-widget-theme-post-content ol li::before {
	content: "";
	width: 28px;
	height: 28px;
	background: url(/wp-content/uploads/2025/05/list-icon.svg);
	position: absolute;
	left: 0px;
}
.newsletter-form .elementor-form .elementor-button {
    max-width: 48px !important;
    min-height: 48px !important;
}
.elementor-form-fields-wrapper .elementor-field-group input.elementor-date-field {
	width: 100% !important;
    margin: 0px !important;
    background-image: url('/wp-content/uploads/2025/05/CalendarBlank.svg') !important;
    background-repeat: no-repeat !important;
    background-position: calc(100% - 13px) center !important;
    background-size: 20px;
    padding-right: 40px; /* Ensure text doesn't overlap the icon */
    cursor: pointer;
}

/* GF Styles */

/*
.gform_heading .gform_required_legend {
	display: none !important;
}
.gform_wrapper .gform_fields .gfield.mato-newsletter {
    border-top: solid 1px rgb(71 75 79 / 30%);
    padding-top: 20px;
    margin-bottom: 5px;
}
.gform_wrapper .gform_fields .gfield.asterix-note {
    border-bottom: solid 1px rgb(71 75 79 / 30%);
    border-top: solid 1px rgb(71 75 79 / 30%);
    padding: 20px 0px;
}
.gform_wrapper form .gform_footer {
    margin-top: 40px !important;
    padding-top: 0px !important;
    justify-content: flex-end !important;
}
div.gform_wrapper .gform_fields .gfield input[type=checkbox] {
    margin: 2px 8px 0 0;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: #FFFFFF;
    border-radius: 2px !important;
    border: 1px solid #C1001F;
    width: 16px !important;
    height: 16px !important;
    padding: 0 !important;
}
div.gform_wrapper .gform_fields .gfield input[type=checkbox]:checked {
    background-color: #C1001F;
    background-image: url(/wp-content/uploads/2025/05/checked.svg);
    background-repeat: no-repeat;
    background-position: center center;
}
.gform_wrapper.gravity-theme .gfield_required {
    color: #474B4F !important;
}
.gform_wrapper.gravity-theme .ginput_container_date {
    background: #ffffff;
    margin: 5px 0px;
}
.gform_wrapper.gravity-theme .ginput_container_date input.gform-datepicker {
    width: 100% !important;
    margin: 0px;
}
.gform_wrapper.gravity-theme .ginput_container_date img.ui-datepicker-trigger {
    margin-left: 0px !important;
    margin-right: 12px !important;
}
.gform_wrapper form .gform_body .gform_fields .gfield input[type=text], 
.gform_wrapper form .gform_body .gform_fields .gfield input[type=email], 
.gform_wrapper form .gform_body .gform_fields .gfield input[type=number],
.gform_wrapper form .gform_body .gform_fields .gfield select,
.gform_wrapper form .gform_body .gform_fields .gfield textarea {
    font-size: 16px;
    min-height: 48px;
}
*/

/* Responsiveness Styles */

@media screen and (min-width: 768pxpx) {
	
	.gform_wrapper.gravity-theme .gform_fields {
		grid-column-gap: 40px !important;
		grid-row-gap: 32px !important;
	}
	
}
@media screen and (min-width: 300px) {
	
	.newsletter-form .elementor-field-type-email {
		width: 86.572% !important;
	}
	.newsletter-form .elementor-field-type-email input.elementor-field {
		padding: 12px 12px 12px 16px !important;
		min-height: 48px !important;
	}
	.newsletter-form .elementor-field-type-submit {
		width: 13.428% !important;
	}
    .newsletter-form .elementor-field-type-email input.elementor-field {
        padding: 12px 12px 12px 16px !important;
        min-height: 48px !important;
        max-height: 48px !important;
    }
	
}

@media screen and (max-width: 767px) {
	
	.newsletter-form .elementor-field-type-email {
		width: 80% !important;
	}
	.newsletter-form .elementor-field-type-submit {
		width: 20% !important;
	}
	
}